Article ID: 112690, created on Nov 3, 2011, last review on Aug 12, 2014

  • Applies to:
  • Plesk 10.x for Linux

Symptoms

Following error is displayed during upgrade of an application if you have more than one newer version is available for the upgrade:
Internal error: SQLSTATE[21000]: Cardinality violation: 1241 Operand should contain 1 column(s)
Message SQLSTATE[21000]: Cardinality violation: 1241 Operand should contain 1 column(s)
File Pdo.php
Line 238
Type Zend_Db_Statement_Exception

Resolution

1. Backup file ${PLESK_ROOT}/admin/smb/application/library/Smb/Db/Table/Broker/ApsPackageUpdates.php:
# cp /usr/local/psa/admin/smb/application/library/Smb/Db/Table/Broker/ApsPackageUpdates.php{,.orig}


2. Replace this file with the fixed version from the attached archive.

Attachments

a914db3fdc7a53ddcfd1b2db8f5a1b9c 29d1e90fd304f01e6420fbe60f66f838 dd0611b6086474193d9bf78e2b293040 56797cefb1efc9130f7c48a7d1db0f0c

Email subscription for changes to this article
Save as PDF